Smart Proxy - Bug #26458

Smart Proxy lists valid certificates as expired
03/26/2019 07:32 PM - Alex Fisher

Status: Closed
Priority: Normal
Assignee: Alex Fisher
Category: PuppetCA
Target version:
Difficulty: trivial Fixed in Releases: 1.22.0
Triaged: No Found in Releases: 1.22.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/644
Description

The logic in the new puppetca http api implementation is wrong (when using puppetserver >= 6.3)

The new puppetserver API doesn't return whether a certificate has expired or not. It returns a state of ‘requested’, “signed” or
‘revoked” and (since puppetserver 6.3), “not_before™ and "not_after’. Clients, (such as the smart-proxy), are required to work out
whether a “signed” certificate is expired or not based on the "not_before™ and “not_after” dates.

Foreman expects a certificate to be “valid’, ‘revoked’, or “pending’. The smart-proxy should return “valid” for “signed" certificates
that haven't expired, and “revoked™ for those that have. It is currently returning ‘revoked™ for non-expired certificates and “valid® for

those that have expired.

Associated revisions

Revision eaOca790 - 03/27/2019 09:58 AM - Alex Fisher

fixes #26458 - Fix expired certificate logic

Since the release of puppetserver 6.3, valid certificates were being
listed as ‘revoked’. This commit fixes the logic that compares the

new “not_after" field returned by the Puppet Server 6.3 API with the
current time.

History

#1 - 03/26/2019 07:40 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/smart-proxy/pull/644 added

#2 - 03/27/2019 11:01 AM - Alex Fisher
- Status changed from Ready For Testing to Closed

Applied in changeset ea0ca79087bae926a17b9117a12e0f89915b7ada.

#3 - 04/22/2019 09:09 AM - Tomer Brisker
- Fixed in Releases 1.22.0 added
